package Multicast;


public class HEADER {
  
  protected int MessageID;
  protected int SeqNumber;
  protected int InitialTTL;
  protected String SourceIPAddress;
  protected int porta;
  protected String IPMulticastAddress;  
  	
  public HEADER () {
    
    InitialTTL = 1;
    
  }
  
  public HEADER (int MID, int ITTL, String SAdd, String MAdd) {
  	
  	InitialTTL = ITTL;
  	MessageID=MID;
  	SourceIPAddress = SAdd;
  	IPMulticastAddress = MAdd; 
  
  }
  
  public int GetMessageID(){
    	return MessageID;
  }
  
  public int GetSeqNumber(){
    	return SeqNumber;
  }
  
  public int GetInitialTTL(){
    	return InitialTTL;
  }
  
  public String GetSourceIPAddress(){
    	return SourceIPAddress;
  }
  
  public int GetPort(){
    	return porta;
  }
  
  public String GetIPMulticastAddress(){
    	return IPMulticastAddress;
  }
  
  public void SetMessageID(int MID){
    	MessageID=MID;
  	
  }
  
  public void SetSeqNumber(int Seq){
    SeqNumber = Seq;
  }
  
  public void SetInitialTTL(int ITTL){
    InitialTTL = ITTL;
  }
  
  public void SetSourceIPAddress(String SAdd){
    SourceIPAddress = SAdd;
  }
  
  public void SetPort(int port){
  	porta = port;
  }

  
  public void SetIPMulticastAddress(String MAdd){
  
  	IPMulticastAddress = MAdd; 
  }
 
}